=== debian/changelog ===
ros-dashing-rosbridge-library (1.0.2-1bionic) bionic; urgency=high

  * use Python 3 dependency keys (#436 <https://github.com/RobotWebTools/rosbridge_suite/issues/436>)

 -- Russell Toris <rctoris@wpi.edu>  Tue, 24 Sep 2019 07:00:00 -0000

ros-dashing-rosbridge-library (1.0.1-1bionic) bionic; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Fri, 20 Sep 2019 07:00:00 -0000

ros-dashing-rosbridge-library (1.0.0-1bionic) bionic; urgency=high

  * Port to ROS 2

 -- Russell Toris <rctoris@wpi.edu>  Thu, 19 Sep 2019 07:00:00 -0000

ros-dashing-rosbridge-library (0.11.3-1bionic) bionic; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 07 Aug 2019 07:00:00 -0000

ros-dashing-rosbridge-library (0.11.2-1bionic) bionic; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Mon, 08 Jul 2019 07:00:00 -0000

ros-dashing-rosbridge-library (0.11.1-1bionic) bionic; urgency=high

  * fixed logwarn msg formatting in publishers (#398 <https://github.com/RobotWebTools/rosbridge_suite/issues/398>)
  * Contributors: Gautham P Das

 -- Russell Toris <rctoris@wpi.edu>  Wed, 08 May 2019 07:00:00 -0000

ros-dashing-rosbridge-library (0.11.0-1bionic) bionic; urgency=high

  * BSON can send Nan and Inf (#391 <https://github.com/RobotWebTools/rosbridge_suite/issues/391>)
  * Contributors: akira_you

 -- Russell Toris <rctoris@wpi.edu>  Fri, 29 Mar 2019 07:00:00 -0000

ros-dashing-rosbridge-library (0.10.2-1bionic) bionic; urgency=high

  * Fix typo (#379 <https://github.com/RobotWebTools/rosbridge_suite/issues/379>)
  * Contributors: David Weis

 -- Russell Toris <rctoris@wpi.edu>  Mon, 04 Mar 2019 08:00:00 -0000

ros-dashing-rosbridge-library (0.10.1-1bionic) bionic; urgency=high

  * Inline cbor library (#377 <https://github.com/RobotWebTools/rosbridge_suite/issues/377>)
    Prefer system version with C speedups, but include pure Python implementation.
  * Contributors: Matt Vollrath

 -- Russell Toris <rctoris@wpi.edu>  Sun, 16 Dec 2018 08:00:00 -0000

ros-dashing-rosbridge-library (0.10.0-1bionic) bionic; urgency=high

  * CBOR encoding (#364 <https://github.com/RobotWebTools/rosbridge_suite/issues/364>)
    * Add CBOR encoding
    * Fix value extraction performance regression
    Extract message values once per message.
    * Fix typed array tags
    Was using big-endian tags and encoding little-endian.
    Always use little-endian for now since Intel is prevalent for desktop.
    Add some comments to this effect.
    * Update CBOR protocol documentation
    More information about draft typed arrays and when to use CBOR.
    * Fix 64-bit integer CBOR packing
    Use an actual 64-bit format.
  * use package format 2, remove unnecessary dependencies (#348 <https://github.com/RobotWebTools/rosbridge_suite/issues/348>)
  * removing has_key for python3, keeping backwards compatibility (#337 <https://github.com/RobotWebTools/rosbridge_suite/issues/337>)
    * removing has_key for python3, keeping backwards compatibility
    * py3 change for itervalues, keeping py2 compatibility
  * Contributors: Andreas Klintberg, Dirk Thomas, Matt Vollrath

 -- Russell Toris <rctoris@wpi.edu>  Fri, 14 Dec 2018 08:00:00 -0000

ros-dashing-rosbridge-library (0.9.0-1bionic) bionic; urgency=high

  * Fix typo in function call
  * Add missing argument to InvalidMessageException (#323 <https://github.com/RobotWebTools/rosbridge_suite/issues/323>)
    Add missing argument to InvalidMessageException constructor
  * Make unregister_timeout configurable (#322 <https://github.com/RobotWebTools/rosbridge_suite/issues/322>)
    Pull request #247 <https://github.com/RobotWebTools/rosbridge_suite/issues/247> introduces a 10 second delay to mitigate issue #138 <https://github.com/RobotWebTools/rosbridge_suite/issues/138>.
    This change makes this delay configurable by passing an argument either
    on the command line or when including a launch file.
    Usage example:
    ```xml
    <launch>
    <include file="$(find rosbridge_server)/launch/rosbridge_websocket.launch">
    <arg name="unregister_timeout" value="5.0"/>
    </include>
    </launch>
    ```
    Closes #320 <https://github.com/RobotWebTools/rosbridge_suite/issues/320>
  * message_conversion: create stand-alone object inst (#319 <https://github.com/RobotWebTools/rosbridge_suite/issues/319>)
    Catching the ROSInitException allows to create object
    instances without an initialized ROS state
  * Fixes #313 <https://github.com/RobotWebTools/rosbridge_suite/issues/313> by fixing has_binary in protocol.py (#315 <https://github.com/RobotWebTools/rosbridge_suite/issues/315>)
    * Fixes #313 <https://github.com/RobotWebTools/rosbridge_suite/issues/313> by fixing has_binary in protocol.py
    Checks for lists that have binary content as well as dicts
    * Minor refactoring for protocol.py
  * fix fragment bug (#316 <https://github.com/RobotWebTools/rosbridge_suite/issues/316>)
    * fix bug that lost data while sending large packets
    * fixed travis ci failed by @T045T
    * fixed travis ci failed by @T045T
    * travis ci failed
    * fix rosbridge_library/test/experimental/fragmentation+srv+tcp test bug
    * sync .travis.yaml
    * fix the service_response message bug
    * fix the fragment paring error
    * fix indentation of "service" line
  * add graceful_shutdown() method to advertise_service capability
    This gives the service a bit of time to cancel any in-flight service requests (which should fix #265 <https://github.com/RobotWebTools/rosbridge_suite/issues/265>).
    This is important because we busy-wait for a rosbridge response for service calls and those threads do not get stopped otherwise.
    Also, rospy service clients do not currently support timeouts, so any clients would be stuck too.
    A new test case in test_service_capabilities.py verifies the fix works
  * Add rostest for service capabilities and fix bugs
    also fixed some typos
  * Fix Travis config (#311 <https://github.com/RobotWebTools/rosbridge_suite/issues/311>)

